<center><h1>Chapitre 2.2 - Opérateurs de comparaisons</h1></center>

### Définition

Les **opérateurs de comparaisons** sont des éléments informatiques qui se basent sur des symboles mathématiques. Il nous sont utiles en programmation car ils nous permettent de vérifier certains cas de façon simpliste.

La liste des opérateurs de comparaisons est disponible ci-dessous.

| Opérateur | Syntaxe | Exemple| Résultat | Fonctionnement |
| :-----: | :-----: | :-----: | :-----: | :-----: |
| Egal | == | a == b  | Renvoie _TRUE_ si a et b sont **EGAUX** | `==` vérifie que les deux éléments ont le même valeur |
| Identique | === | a === b | Renvoie _TRUE_ si a et b sont **EGAUX** et **DE MÊME TYPE** | `===` vérifie que les deux éléments **ont la même valeur** et sont **de même type** |
| Différent | != | a != b  | Renvoie _TRUE_ si a et b sont **DIFFERENT** | `!=` vérifie que les deux éléments ne possède **pas la même valeur** |
| Différent | !== | a !== b | Renvoie _TRUE_ si a et b sont **DIFFERENT** et de **TYPE DIFFERENT** | `!==` vérifie que les éléments ne possède **ni la même valeur ni le même type** |
| Inférieur | < |  a < b  | Renvoie _TRUE_ si a est **INFERIEUR** à b | `<` vérifie que le premier élément est **strictement inférieur** au second |
| Inférieur ou égal | <= | a <= b  | Renvoie _TRUE_ si a est **INFERIEUR OU EGAL** à b | `<=` vérifie que le premier élément est **inférieur ou égal** au second |
| Supérieur | > |  a > b  | Renvoie _TRUE_ si a est **SUPERIEUR** à b | `>` vérfie que le premier élément est **strictement suprieur** au second |
| Supérieur ou égal | >= | a >= b  | Renvoie _TRUE_ si a est **SUPERIEUR OU EGAL** à b | `>=` vérifie que le premier est **supérieur ou égal** au second |